/[gentoo-x86]/sys-kernel/hardened-sources/hardened-sources-2.6.25-r5.ebuild
Gentoo

Contents of /sys-kernel/hardened-sources/hardened-sources-2.6.25-r5.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.1 - (hide annotations) (download)
Sat Aug 23 02:12:48 2008 UTC (9 years, 11 months ago) by battousai
Branch: MAIN
Drop 2.6.23-r13, 2.6.25-r3. Bump to 2.6.25-r5, 2.6.26-r1, fixing security bug #235221. Stable 2.6.25-r4 on amd64, x86. On behalf of gengor.
(Portage version: 2.2_rc8/cvs/Linux 2.6.27-rc4 x86_64)

1 battousai 1.1 # Copyright 1999-2008 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3     # $Header: $
4    
5     ETYPE="sources"
6     K_WANT_GENPATCHES="base extras"
7     K_GENPATCHES_VER="10"
8    
9     inherit kernel-2
10     detect_version
11    
12     HGPV=${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-6
13     HGPV_URI="http://confucius.dh.bytemark.co.uk/~kerin.millar/distfiles/hardened-patches-${HGPV}.extras.tar.bz2
14     mirror://gentoo/hardened-patches-${HGPV}.extras.tar.bz2"
15     UNIPATCH_LIST="${DISTDIR}/hardened-patches-${HGPV}.extras.tar.bz2"
16     UNIPATCH_EXCLUDE="4200_fbcondecor-0.9.4.patch"
17     DESCRIPTION="Hardened kernel sources ${OKV}"
18     HOMEPAGE="http://www.gentoo.org/proj/en/hardened/"
19     IUSE=""
20    
21     SRC_URI="${KERNEL_URI} ${HGPV_URI} ${GENPATCHES_URI} ${ARCH_URI}"
22     KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
23    
24     pkg_postinst() {
25     kernel-2_pkg_postinst
26    
27     local GRADM_COMPAT="sys-apps/gradm-2.1.12*"
28    
29     ewarn
30     ewarn "As of ${CATEGORY}/${PN}-2.6.24 the predefined"
31     ewarn "\"Hardened [Gentoo]\" grsecurity level has been removed."
32     ewarn "Two improved predefined security levels replace it:"
33     ewarn "\"Hardened Gentoo [server]\" and \"Hardened Gentoo [workstation]\""
34     ewarn
35     ewarn "Those who intend to use one of these predefined grsecurity levels"
36     ewarn "should read the help associated with the level. Users importing a"
37     ewarn "kernel configuration from a kernel prior to ${PN}-2.6.24,"
38     ewarn "should review their selected grsecurity/PaX options carefully."
39     ewarn
40     ewarn
41     ewarn "Users of grsecurity's RBAC system must ensure they are using"
42     ewarn "${GRADM_COMPAT}, which is compatible with kernel series ${OKV}."
43     ewarn "Therefore, it is strongly recommended that the following command is"
44     ewarn "issued prior to booting a ${P} series kernel for"
45     ewarn "the first time:"
46     ewarn
47     ewarn "emerge -na =${GRADM_COMPAT}"
48     ewarn
49     }

  ViewVC Help
Powered by ViewVC 1.1.20